Request body for creating a processing note.
| Name / Description | Type / Format | Example | |
|---|---|---|---|
id
Unique identifier of the processing note.
|
String
uuid
|
"string"
|
|
payRunEntryId
Pay run entry the note relates to, when applicable.
|
Null, String
uuid
|
"string"
|
|
note
Note text entered by the processor.
|
String
|
"string"
|
|
user
Lightweight item representation used by processing note API contracts.
|
Contract.ProcessingNoteItem
|
{Contract.ProcessingNoteItem}
|
|
payRun
Lightweight item representation used by processing note API contracts.
|
Contract.ProcessingNoteItem
|
{Contract.ProcessingNoteItem}
|
|
date
Date associated with the processing note.
|
String
date
|
"2026-11-22"
|
|
documentCount
Number of documents associated with the processing note.
|
Integer
int32
|
0
|
|
documents
Documents associated with the processing note.
|
Null, Array
|
{Null, Array}
|
|
status
|
String
|
"New"
"Complete"
|
|
updatedByName
Name of the user who last updated the processing note.
|
Null, String
|
"string"
|
|
completedDate
Date the processing note was completed, when applicable.
|
Null, String
date
|
"2026-11-22"
|
{
"id": "string",
"payRunEntryId": "string",
"note": "string",
"user": {
"id": "string",
"name": "string",
"metadata": "string",
"url": "string"
},
"payRun": {
"id": "string",
"name": "string",
"metadata": "string",
"url": "string"
},
"date": "2026-11-22",
"documentCount": 0,
"documents": {},
"status": {},
"updatedByName": "string",
"completedDate": "2026-11-22"
}
- none -
- none -